libwget-parse_atom(3)

NAME
libwget-parse_atom - Atom URL extraction routines

SYNOPSIS

  Data Structures

struct atom_context

  Functions

void wget_atom_get_urls_inline (const char *atom, wget_vector **urls)

Detailed Description

Routines for URL extraction from Atom feeds.

Function Documentation

  void wget_atom_get_urls_inline (const char * atom, wget_vector ** urls)

Parameters
    atom Atom XML data
    urls Pointer to return vector of URLs

Finds all URLs within the Atom XML data atom and returns them as vector in urls.

Author

Generated automatically by Doxygen for wget2 from the source code.